1.5.10 beta option is shown underneath version 1.5.1, not 1.5.9

Currently viewing this thread:

momo1

Veteran
M&BWBWF&SNWVC
In Steam, the option to switch to version 1.5.10 is in the middle of the list, under 1.5.1, not on the bottom after 1.5.9
 

ArturMorhghain

Sergeant
I think this is a problem with how computer systems order numeric files. It will always order versions based on 1,2,3, etc. so right now it’s 1.5.1, 1.5.10,1.5.2,1.5.3. So 1 is treated the same as 10 as the program begins counting/ordering from the decimal point rather than the last number. The only way to solve this, I think, would be to plan ahead for going into the teens and start the version numbers as 1.5.01, 1.5.02, 1.5.03, etc which would then put 1.5.11 in the correct place.
 

momo1

Veteran
M&BWBWF&SNWVC
I think this is a problem with how computer systems order numeric files. It will always order versions based on 1,2,3, etc. so right now it’s 1.5.1, 1.5.10,1.5.2,1.5.3. So 1 is treated the same as 10 as the program begins counting/ordering from the decimal point rather than the last number. The only way to solve this, I think, would be to plan ahead for going into the teens and start the version numbers as 1.5.01, 1.5.02, 1.5.03, etc which would then put 1.5.11 in the correct place.
Hopefully Steam can override this.
 

echoco

Recruit
TW's numbering system is silly.
I think this is a problem with how computer systems order numeric files. It will always order versions based on 1,2,3, etc. so right now it’s 1.5.1, 1.5.10,1.5.2,1.5.3. So 1 is treated the same as 10 as the program begins counting/ordering from the decimal point rather than the last number. The only way to solve this, I think, would be to plan ahead for going into the teens and start the version numbers as 1.5.01, 1.5.02, 1.5.03, etc which would then put 1.5.11 in the correct place.
Right on!!
 
Imagine my surprise when I learned today that yesterdays 1 gig patch was hotfix and not actual patch (since beta patch was not present after 1.5.9), so much for hmm this patch did not break our mod.
 
Top Bottom